Launch Week 3: Five days of launches

Delete Annotation Form

(v2)

DELETE

Permanently deletes an annotation form and the answers recorded against its questions. Queues using the form keep working, with no form attached.

DELETE/v2/annotation-forms/{annotationFormId}
curl -X DELETE "https://api.confident-ai.com/v2/annotation-forms/{annotationFormId}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "<ANNOTATION-FORM-ID>"
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • annotationFormIdstringRequired

    The id of the annotation form.

Response

Delete Annotation Form succeeded.

  • successboolean

    Indicates if the request was successful.

  • dataobject

    A reference to an annotation form by its id.

    Show 1 propertyHide 1 property
    • idstring

      The id of the form, generated by Confident AI.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI